window.__require = function e(t, i, s) {
function n(o, c) {
if (!i[o]) {
if (!t[o]) {
var r = o.split("/");
r = r[r.length - 1];
if (!t[r]) {
var h = "function" == typeof __require && __require;
if (!c && h) return h(r, !0);
if (a) return a(r, !0);
throw new Error("Cannot find module '" + o + "'");
}
o = r;
}
var u = i[o] = {
exports: {}
};
t[o][0].call(u.exports, function(e) {
return n(t[o][1][e] || e);
}, u, u.exports, e, t, i, s);
}
return i[o].exports;
}
for (var a = "function" == typeof __require && __require, o = 0; o < s.length; o++) n(s[o]);
return n;
}({
Animal: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "8afc6uwKQNOiJpYNWyVZtxD", "Animal");
var s = e("Walker"), n = cc.Enum({
IDLE: 0,
WALK: 1
});
cc.Class({
extends: s,
properties: {
idleSec: 3,
animeIdle: [ cc.AnimationClip ],
walkSec: 3,
animeWalk: [ cc.AnimationClip ]
},
onLoad: function() {
this._super();
this.animation = this.node.getComponent(cc.Animation);
this.walkState = n.IDLE;
this.walkCount = 0;
this.walkVec = cc.v2();
},
start: function() {
this.next_action();
},
update: function(e) {
this._super(e);
this.walkState == n.WALK && this.move(this.walkVec, 1) && this.change_anime();
this.walkCount--;
this.walkCount <= 0 && this.next_action();
},
next_action: function() {
if (this.walkState == n.IDLE) {
var e = 3.14 * Math.random() * 2;
this.walkVec = cc.v2(Math.cos(e), Math.sin(e));
this.walkCount = 60 * (Math.random() * this.walkSec + this.walkSec);
this.walkState = n.WALK;
this.change_anime();
} else if (this.walkState == n.WALK) {
this.stop();
this.walkCount = 60 * (Math.random() * this.idleSec + this.idleSec);
this.walkState = n.IDLE;
this.change_anime();
}
},
change_anime: function() {
var e = null;
this.walkState == n.IDLE ? e = this.animeIdle[this.direction] : this.walkState == n.WALK && (e = this.animeWalk[this.direction]);
e && this.animation.play(e.name);
}
});
cc._RF.pop();
}, {
Walker: "Walker"
} ],
Balloon: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "4eb748u7aNJuZ3//MA/ZHlq", "Balloon");
cc.Class({
extends: cc.Component,
properties: {
serif: {
default: null,
type: cc.Label
}
},
onLoad: function() {
this.flagShow = !1;
this.text_w = this.serif.node.width;
this.default_pos = this.node.position;
this.node.scale = 0;
this.node.active = !1;
},
IsShow: function() {
return this.flagShow;
},
show: function(e) {
this.node.stopAllActions();
this.node.scale = 0;
this.node.active = !0;
this.serif.string = e;
this.node.runAction(cc.sequence(cc.delayTime(.01), cc.callFunc(this.show_sub, this)));
},
show_sub: function() {
var e = 10 * this.serif.string.length;
this.node.width = (e < this.text_w ? e : this.text_w) + 8;
this.node.height = this.serif.node.height + 10;
this.node.x = 0;
this.node.runAction(cc.spawn(cc.scaleTo(.2, 1), cc.moveTo(.2, cc.v2(this.default_pos.x, this.default_pos.y))));
this.flagShow = !0;
},
hide: function() {
if (this.flagShow) {
this.flagShow = !1;
this.node.runAction(cc.sequence(cc.spawn(cc.scaleTo(.1, 0), cc.moveTo(.1, cc.v2(0, this.default_pos.y))), cc.callFunc(this.hide_finish, this)));
}
},
hide_finish: function() {
this.node.active = !1;
}
});
cc._RF.pop();
}, {} ],
BannerAds: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "095fegdhABLzJKIzIxOPYaE", "BannerAds");
cc.Class({
extends: cc.Component,
properties: {},
onLoad: function() {
cc.sys.isNative && cc.director.getScheduler().schedule(this.checkAds, this, 5);
},
checkAds: function() {
if (cc.sys.isNative) {
if (sdkbox.PluginAdMob.isAvailable("banner")) {
sdkbox.PluginAdMob.show("banner");
cc.director.getScheduler().unschedule(this.checkAds, this);
} else sdkbox.PluginAdMob.cache("banner");
}
}
});
cc._RF.pop();
}, {} ],
BaseModel: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "05c2aKCKzxHGrCMw2NNXgS9", "BaseModel");
var s = e("SaveData"), n = cc.Class({
init: function(t, i) {
this.baseKey = t + "." + i;
this.modelName = i;
this.subModels = [];
this.game = e("Game");
},
load: function() {},
getBaseKey: function() {
return this.baseKey;
},
getModelName: function() {
return this.modelName;
},
getGameModel: function() {
return Game;
},
addModel: function(e, t) {
if (!e || !t) return !1;
if (this.getModel(e)) return !1;
this.subModels[e] = t;
return !0;
},
getModel: function(e) {
return this.subModels[e];
},
loadAllData: function() {
this.load();
for (var e in this.subModels) {
var t = this.subModels[e];
t && t.loadAllData();
}
},
saveNumber: function(e, t) {
s.saveNumber(this.baseKey + "." + e, t);
},
loadNumber: function(e, t) {
return s.loadNumber(this.baseKey + "." + e, t);
},
saveBoolean: function(e, t) {
s.saveBoolean(this.baseKey + "." + e, t);
},
loadBoolean: function(e, t) {
return s.loadBoolean(this.baseKey + "." + e, t);
},
saveString: function(e, t) {
s.saveString(this.baseKey + "." + e, t);
},
loadString: function(e, t) {
return s.loadString(this.baseKey + "." + e, t);
}
});
t.exports = n;
cc._RF.pop();
}, {
Game: "Game",
SaveData: "SaveData"
} ],
BaseScene: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "3577a18LB1PUZ+DTYi9dtZ4", "BaseScene");
var s = e("Hero"), n = e("Game");
cc.Class({
extends: cc.Component,
properties: {
camera: {
default: null,
type: cc.Camera
},
hero: {
default: null,
type: s
},
arrowH: 30
},
onLoad: function() {
cc.director.getPhysicsManager().enabled = !0;
cc.director.getPhysicsManager().enabledAccumulator = !0;
cc.director.getPhysicsManager().gravity = cc.v2();
cc.director.getCollisionManager().enabled = !0;
this.touchStart = cc.v2(0, 0);
this.node.on(cc.Node.EventType.TOUCH_START, function(e) {
this.touchStart = cc.v2(e.getStartLocation().x, e.getStartLocation().y);
}, this);
this.node.on(cc.Node.EventType.TOUCH_MOVE, function(e) {
var t = this.touchStart, i = e.getLocation().sub(t), s = i.mag(), n = i.normalize(), a = s / this.arrowH;
if (a > 1) {
a = 1;
var o = n.mul(this.arrowH), c = i.sub(o);
this.touchStart.addSelf(c);
}
this.hero.move(n, a);
}, this);
this.node.on(cc.Node.EventType.TOUCH_END, function(e) {
this.touch_end(e);
}, this);
this.node.on(cc.Node.EventType.TOUCH_CANCEL, function(e) {
this.touch_end(e);
}, this);
for (var e = this.node.children, t = 0; t < e.length; ++t) {
e[t].x = Math.round(e[t].x);
e[t].y = Math.round(e[t].y);
e[t].zIndex = -e[t].y;
}
},
touch_end: function(e) {
this.hero.stopAndAction();
},
update: function(e) {
this.camera.node.position = this.hero.node.position;
},
PressReset: function() {
n.reset();
}
});
cc._RF.pop();
}, {
Game: "Game",
Hero: "Hero"
} ],
Bush: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "f5eeebWJupMBaOEBWCJXbPV", "Bush");
var s = e("Resource"), n = e("ResourceState"), a = e("CommandType");
cc.Class({
extends: s,
properties: {
growSprites: [ cc.SpriteFrame ]
},
onLoad: function() {
this._super();
this.level = 0;
this.animation = this.node.getComponent(cc.Animation);
this.growIntervals = [];
for (var e = this.growSprites.length - 1, t = Math.floor(this.reviveInterval / e), i = 0; i < e; i++) this.growIntervals[i] = t;
},
refreshView: function() {
var e = null, t = !1;
if (this.state <= n.GROWING) {
e = this.growSprites[this.level];
t = !1;
} else if (this.state == n.REVIVE) {
e = this.growSprites[this.growSprites.length - 1];
t = !0;
}
var i = this.node.getComponent(cc.Sprite);
i && (i.spriteFrame = e);
var s = this.node.getComponent(cc.RigidBody);
s && (s.active = t);
},
progress: function(e) {
for (var t = 0, i = 0; i < this.growIntervals.length; i++) {
t += this.growIntervals[i];
if (!(this.level > i) && t <= e) {
this.change_level(i + 1);
this.level >= this.growIntervals.length ? this.change_state(n.REVIVE) : this.refreshView();
}
}
},
getAvailableCommand: function() {
return this.state >= n.REVIVE ? a.AXE : a.NONE;
},
execCommand: function(e) {
this.seDamage && cc.audioEngine.play(this.seDamage, !1, 1);
this.change_level(0);
this.animation.play("Bush_cut");
this.drop_item();
this.finish();
},
change_level: function(e) {
this.level = e;
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState"
} ],
ChestRewardPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "64baeIFgcdCgZjB1UW/9ZIi", "ChestRewardPopup");
var s = e("Popup"), n = e("Game");
cc.Class({
extends: s,
properties: {},
onLoad: function() {
this._super();
n.chestRewardPopup = this;
this.node.active = !1;
},
PressOk: function() {
cc.sys.isNative && sdkbox.PluginAdMob.show("rewarded-chest");
this.Hide();
},
PressCancel: function() {
this.Hide();
}
});
cc._RF.pop();
}, {
Game: "Game",
Popup: "Popup"
} ],
ChestReward: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "2de60i9IT9FwYwpQcC0geKV", "ChestReward");
var s = e("Chest"), n = e("CommandType"), a = e("SaveData"), o = e("Game");
cc.Class({
extends: s,
properties: {
spriteClose: cc.SpriteFrame,
reviveInterval: 300
},
onLoad: function() {
this._super();
this.startTime = a.loadNumber(this.savekey + ".startTime", 0);
this.change_view();
var e = this.node.parent.getComponent("ResourceManager");
e && e.registResource(this);
},
CheckStatePoll: function(e) {
if (0 != this.flagOpen) {
if (e - this.startTime >= this.reviveInterval) {
if (cc.sys.isNative) {
if (!sdkbox.PluginAdMob.isAvailable("rewarded-chest")) return;
}
this.appear_chest();
}
}
},
execCommand: function(e) {
if (1 != this.flagOpen && e == n.EVENT) if (o.chestKey.getCount() >= 1 || !cc.sys.isNative) {
o.chestKey.decCount();
this.open_chest();
} else {
o.targetChest = this;
o.chestRewardPopup.Show();
}
},
openFinish: function() {
this._super();
this.node.runAction(cc.sequence(cc.delayTime(5), cc.scaleTo(.2, 0), cc.callFunc(this.change_view, this)));
},
change_view: function() {
var e = this.node.getComponent(cc.Sprite);
e && (e.spriteFrame = this.flagOpen ? this.spriteOpen : this.spriteClose);
this.node.scale = this.flagOpen ? 0 : 1;
this.node.active = !this.flagOpen;
},
appear_chest: function() {
this.flagOpen = !1;
a.saveBoolean(this.savekey + ".flagOpen", !1);
this.change_view();
this.node.runAction(cc.spawn(cc.scaleTo(.4, 1), cc.jumpBy(.4, cc.v2(0, 0), 20, 1)));
},
open_chest: function() {
this.flagOpen = !0;
a.saveBoolean(this.savekey + ".flagOpen", !0);
this.animation.play("ChestOpen");
this.seOpen && cc.audioEngine.play(this.seOpen, !1, 1);
this.startTime = Math.floor(Date.now() / 1e3);
a.saveNumber(this.savekey + ".startTime", this.startTime);
},
OpenChest: function() {
o.targetChest = null;
if (1 != this.flagOpen && o.chestKey.getCount() >= 1) {
o.chestKey.decCount();
this.open_chest();
}
}
});
cc._RF.pop();
}, {
Chest: "Chest",
CommandType: "CommandType",
Game: "Game",
SaveData: "SaveData"
} ],
Chest: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "130e9nSBHZJyqUPWJrhifdr", "Chest");
var s = e("Gimmick"), n = e("CommandType"), a = e("SaveData");
cc.Class({
extends: s,
properties: {
dropItem: [ cc.Prefab ],
dropNum: [ cc.Integer ],
seOpen: {
type: cc.AudioClip,
default: null
},
spriteOpen: cc.SpriteFrame
},
onLoad: function() {
this._super();
this.dropItem.length != this.dropNum.length && cc.log("ERROR: Chest(" + this.savekey + ")");
this.flagOpen = a.loadBoolean(this.savekey + ".flagOpen", !1);
if (this.flagOpen) {
var e = this.node.getComponent(cc.Sprite);
e && (e.spriteFrame = this.spriteOpen);
}
this.animation = this.node.getComponent(cc.Animation);
this.animation.on("finished", function(e) {
this.openFinish();
}, this);
},
getAvailableCommand: function() {
return this.flagOpen ? n.NONE : n.EVENT;
},
execCommand: function(e) {
if (1 != this.flagOpen && e == n.EVENT) {
this.flagOpen = !0;
a.saveBoolean(this.savekey + ".flagOpen", !0);
this.animation.play("ChestOpen");
this.seOpen && cc.audioEngine.play(this.seOpen, !1, 1);
}
},
openFinish: function() {
this.drop_item();
},
drop_item: function() {
for (var e = 0; e < this.dropItem.length; e++) for (var t = this.dropNum[e], i = Math.floor(.5 * t), s = Math.round(Math.random() * i + t), n = 0; n < s; n++) {
var a = cc.instantiate(this.dropItem[e]);
if (a) {
this.node.parent.addChild(a);
a.setPosition(this.node.position);
var o = a.getComponent("DropItem");
o && o.drop();
}
}
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Gimmick: "Gimmick",
SaveData: "SaveData"
} ],
CoinLabel: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "1b5c18crXJMxri2uueoZ+Ny", "CoinLabel");
cc.Class({
extends: cc.Component,
properties: {
sprite: cc.Node,
label: cc.Label
},
onLoad: function() {
this.width = 0;
this.SetCoin(this.label.string);
},
GetWidth: function() {
return this.width;
},
SetCoin: function(e) {
var t = "" + e, i = 8 + 5 * t.length, s = -i * this.node.anchorX;
this.sprite.x = s;
this.label.node.x = s + 8;
this.label.string = "";
this.label.string = t;
this.width = i;
},
SetColor: function(e) {
this.label.node.color = e;
}
});
cc._RF.pop();
}, {} ],
CommandType: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "1f903l31YtLjpO7IAP3gyNQ", "CommandType");
var s = cc.Enum({
NONE: 0,
WALK: 1,
ATTACK: 2,
AXE: 3,
PICKAXE: 4,
HOE: 5,
SEED: 6,
WATER: 7,
COLLECT: 8,
EVENT: 9,
MAX: 10
});
t.exports = s;
cc._RF.pop();
}, {} ],
Counter: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "ccab4Zgs11PJa97HP3N4Im0", "Counter");
var s = e("BaseModel"), n = cc.Class({
extends: s,
init: function(e, t, i) {
this._super(e + ".Counter", t);
this.count = i;
this.countStart = i;
this.countAdd = 0;
},
load: function() {
this.count = this.loadNumber("count", this.count);
this.countAdd = this.loadNumber("countAdd", this.countAdd);
},
getCount: function() {
return this.count;
},
addCount: function(e) {
this.setCount(this.count + e);
this.countAdd += e;
this.saveNumber("countAdd", this.countAdd);
},
incCount: function() {
this.addCount(1);
},
decCount: function() {
this.addCount(-1);
},
isCorrect: function() {
return this.count == this.countStart + this.countAdd;
},
setCount: function(e) {
this.count = e;
this.saveNumber("count", this.count);
}
});
t.exports = n;
cc._RF.pop();
}, {
BaseModel: "BaseModel"
} ],
Cow: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "ff604lrD7FA17UlxYiDgIMx", "Cow");
var s = e("Resource"), n = e("ResourceState"), a = e("CommandType");
cc.Class({
extends: s,
progress: function(e) {
e >= this.reviveInterval && this.change_state(n.REVIVE);
},
getAvailableCommand: function() {
return this.state >= n.REVIVE ? a.COLLECT : a.NONE;
},
changeLock: function(e) {
this._super(e);
var t = this.node.getComponent(cc.RigidBody);
t && (t.type = e ? cc.RigidBodyType.Static : cc.RigidBodyType.Dynamic);
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState"
} ],
Crop: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "87280UQzUpOrZ4kvjDZM3Me", "Crop");
var s = e("SaveData"), n = e("Resource"), a = e("ResourceState"), o = e("CommandType");
cc.Class({
extends: n,
properties: {
seSeed: cc.AudioClip,
growSprites: [ cc.SpriteFrame ]
},
onLoad: function() {
this._super();
this.field = null;
this.seeded = s.loadBoolean(this.savekey + ".seeded", !1);
this.level = s.loadNumber(this.savekey + ".level", 0);
this.growIntervals = [];
for (var e = this.growSprites.length - 1, t = Math.floor(this.reviveInterval / e), i = 0; i < e; i++) this.growIntervals[i] = t;
},
refreshView: function() {
var e = null;
this.state <= a.GROWING ? e = this.growSprites[this.level] : this.state == a.REVIVE && this.seeded && (e = this.growSprites[this.growSprites.length - 1]);
var t = this.node.getComponent(cc.Sprite);
t && (t.spriteFrame = e);
},
progress: function(e) {
if (0 == this.level && this.state == a.NONE && this.IsSeeded()) {
if (1 == this.field.isWatered()) {
this.change_state(a.GROWING);
this.reset_time();
}
} else for (var t = 0, i = 0; i < this.growIntervals.length; i++) {
t += this.growIntervals[i];
if (!(this.level > i) && t <= e) {
this.change_level(i + 1);
this.level >= this.growIntervals.length ? this.change_state(a.REVIVE) : this.refreshView();
}
}
},
getAvailableCommand: function() {
if (this.state >= a.REVIVE) {
if (this.seeded) return o.HOE;
if (this.field.isEnableSeed()) return o.SEED;
}
return o.NONE;
},
execCommand: function(e) {
if (e == o.SEED) {
this.seSeed && cc.audioEngine.play(this.seSeed, !1, 1);
this.change_level(0);
this.change_seeded(!0);
this.finish();
} else if (e == o.HOE) {
this.seDamage && cc.audioEngine.play(this.seDamage, !1, 1);
this.change_level(0);
this.change_seeded(!1);
this.drop_item();
this.refreshView();
return;
}
},
SetField: function(e) {
this.field = e;
},
IsSeeded: function() {
return this.seeded;
},
change_seeded: function(e) {
this.seeded = e;
s.saveBoolean(this.savekey + ".seeded", this.seeded);
},
change_level: function(e) {
this.level = e;
s.saveNumber(this.savekey + ".level", this.level);
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState",
SaveData: "SaveData"
} ],
Currency: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "d9ad6LOl7pK9I+TRXKdq4uk", "Currency");
var s = e("BaseModel"), n = cc.Class({
extends: s,
init: function(e, t, i, s) {
this._super(e + ".Currency", t);
this.def = i;
this.max = s;
this.value = i;
this.total = i;
this.use = 0;
this.tmp = 0;
},
load: function() {
this.value = this.loadNumber("value", this.value);
this.total = this.loadNumber("total", this.total);
this.use = this.loadNumber("use", this.use);
},
getValue: function() {
return this.value;
},
getMax: function() {
return this.max;
},
getTotal: function() {
return this.total;
},
getUse: function() {
return this.use;
},
isMax: function() {
return this.value >= this.max;
},
useCurrency: function(e) {
this.value - e < 0 && (e = this.value);
if (e > 0) {
this.use += e;
this.saveNumber("use", this.use);
this.setValue(this.value - e);
}
},
saveCurrency: function(e) {
this.value + e > this.max && (e = this.max - this.value);
if (e > 0) {
this.total += e;
this.saveNumber("total", this.total);
this.setValue(this.value + e);
}
},
isCorrect: function() {
return this.total == this.value + this.use;
},
getTmp: function() {
return this.tmp;
},
setTmp: function(e) {
this.tmp = e;
},
setValue: function(e) {
this.value = e;
this.saveNumber("value", this.value);
}
});
t.exports = n;
cc._RF.pop();
}, {
BaseModel: "BaseModel"
} ],
DropItemType: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "361e3jC2vdFJ6awiDOlJqCX", "DropItemType");
var s = cc.Enum({
NONE: 0,
COIN: 1,
GEM: 2,
MATERIAL: 3,
CROP: 4
});
t.exports = s;
cc._RF.pop();
}, {} ],
DropItem: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "44668YXqWNLwZvtdG1TCZmr", "DropItem");
var s = e("Game"), n = e("DropItemType"), a = e("ItemRank");
cc.Class({
extends: cc.Component,
properties: {
type: {
type: n,
default: n.NONE
},
SE: {
type: cc.AudioClip,
default: null
},
spriteStar: {
type: cc.Node,
default: null
},
tag: "",
rank: {
type: a,
default: a.NONE
},
val: 1
},
onLoad: function() {
this.hero = null;
this.node.zIndex = 1e3;
this.flagDrop = !1;
this.spriteStar && Math.random() < .01 && (this.rank = a.RARE);
},
onCollisionStay: function(e, t) {
if (1 == this.flagDrop && "Hero" == e.node.group && 444 == e.tag && null == this.hero) {
var i = e.node.getComponent("Hero");
i && i.isMove() && (this.hero = i);
}
},
update: function(e) {
if (this.hero) {
var t = this.hero.node.position.sub(this.node.position);
if (t.mag() < 3) this.finish(); else {
var i = t.normalize();
this.node.position = this.node.position.add(i.mul(60 * e * 1.8));
}
}
},
drop: function() {
var e = 10 + 25 * Math.random(), t = 6.28 * Math.random(), i = cc.v2(Math.cos(t) * e, Math.sin(t) * e);
this.node.runAction(cc.sequence(cc.jumpBy(.4, i, 40, 1), cc.callFunc(this.drop_end, this)));
},
drop_end: function() {
this.spriteStar && (this.spriteStar.active = this.rank == a.RARE);
this.flagDrop = !0;
},
finish: function() {
this.SE && cc.audioEngine.play(this.SE, !1, 1);
this.node.removeFromParent();
var e = s;
switch (this.type) {
case n.COIN:
e.coin.saveCurrency(this.val);
e.miniInfo && e.miniInfo.Refresh();
break;

case n.GEM:
break;

case n.MATERIAL:
case n.CROP:
e.item.addNum(this.tag, this.rank, this.val);
}
}
});
cc._RF.pop();
}, {
DropItemType: "DropItemType",
Game: "Game",
ItemRank: "ItemRank"
} ],
EnvironmentalSound: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "6852bhb1uFHOoR2DIRtEB/U", "EnvironmentalSound");
cc.Class({
extends: cc.Component,
properties: {
seEnvs: [ cc.AudioClip ]
},
onLoad: function() {
this.seIdx = 0;
this.seMax = this.seEnvs.length;
this.nextTime = 0;
this.nextSound();
},
start: function() {
cc.director.getScheduler().schedule(this.updateSound, this, 5);
},
updateSound: function() {
var e = Math.floor(Date.now() / 1e3);
if (this.nextTime <= e) {
cc.audioEngine.play(this.seEnvs[this.seIdx], !1, .5);
this.nextSound();
}
},
nextSound: function() {
var e = Math.floor(Date.now() / 1e3);
this.nextTime = e + 15 + 15 * Math.random();
this.seIdx = Math.floor(Math.random() * this.seMax);
}
});
cc._RF.pop();
}, {} ],
FadeCover: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "d97dbkdl0VPaalDZlRUWkDX", "FadeCover");
cc.Class({
extends: cc.Component,
properties: {},
onLoad: function() {
this.sceneName = "";
this.interval = 1;
this.node.opacity = 0;
this.node.active = !1;
},
SetColor: function(e) {
this.node.color = e;
},
TransitionFade: function(e, t) {
this.sceneName = e;
this.interval = t;
cc.director.preloadScene(this.sceneName);
this.FadeOut(t);
},
TransitionFadeWhite: function(e, t) {
this.node.color = new cc.Color(255, 255, 255);
this.TransitionFade(e, t);
},
TransitionFadeBlack: function(e, t) {
this.node.color = new cc.Color(0, 0, 0);
this.TransitionFade(e, t);
},
FadeOut: function(e) {
this.node.active = !0;
this.node.opacity = 0;
this.node.runAction(cc.sequence(cc.fadeIn(e), cc.callFunc(this.finish_fade_out, this)));
},
FadeIn: function(e) {
this.node.active = !0;
this.node.opacity = 255;
this.node.runAction(cc.sequence(cc.fadeOut(e), cc.callFunc(this.finish_fade_in, this)));
},
finish_fade_out: function() {
this.next_scene();
},
finish_fade_in: function() {
this.node.active = !1;
},
next_scene: function() {
var e = this.node.color, t = this.interval;
cc.director.loadScene(this.sceneName, function(i, s) {
var n = cc.find("Canvas/Main Camera/FadeCover", s);
if (n) {
var a = n.getComponent("FadeCover");
if (a) {
a.SetColor(e);
a.FadeIn(t);
}
}
});
}
});
cc._RF.pop();
}, {} ],
Field: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "23233juQndHBLyj3UEFzr8V", "Field");
var s = e("SaveData"), n = e("Resource"), a = e("ResourceState"), o = e("CommandType"), c = e("Crop"), r = cc.Enum({
NONE: 0,
DRY: 1,
WET: 2
});
cc.Class({
extends: n,
properties: {
seWater: cc.AudioClip,
spriteDry: cc.SpriteFrame,
spriteWet: cc.SpriteFrame,
crop: c
},
onLoad: function() {
this._super();
this.level = s.loadNumber(this.savekey + ".level", r.NONE);
},
start: function() {
this._super();
this.crop.SetField(this);
},
refreshView: function() {
var e = null;
this.level == r.DRY ? e = this.spriteDry : this.level == r.WET && (e = this.spriteWet);
var t = this.node.getComponent(cc.Sprite);
t && (t.spriteFrame = e);
},
progress: function(e) {
if (this.level == r.DRY && 0 == this.isSeeded()) {
if (e >= 43200) {
this.change_state(a.REVIVE);
this.change_level(r.NONE);
}
} else this.level == r.WET && e >= 10800 && this.change_level(r.DRY);
},
getAvailableCommand: function() {
return this.state >= a.REVIVE && 0 == this.isSeeded() ? o.HOE : this.level == r.DRY && 1 == this.isSeeded() ? o.WATER : o.NONE;
},
execCommand: function(e) {
if (e == o.HOE) {
this.seDamage && cc.audioEngine.play(this.seDamage, !1, 1);
this.change_level(r.DRY);
} else {
if (e != o.WATER) return;
this.seWater && cc.audioEngine.play(this.seWater, !1, 1);
this.change_level(r.WET);
}
this.finish();
},
change_level: function(e) {
if (this.level != e) {
this.level = e;
s.saveNumber(this.savekey + ".level", this.level);
this.refreshView();
}
},
isEnableSeed: function() {
return this.state == a.NONE && this.level >= r.DRY && 0 == this.isSeeded();
},
isEnableWater: function() {
return this.state == a.NONE && this.level >= r.DRY && 1 == this.isSeeded();
},
isSeeded: function() {
return this.crop.IsSeeded();
},
isWatered: function() {
return this.level == r.WET;
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Crop: "Crop",
Resource: "Resource",
ResourceState: "ResourceState",
SaveData: "SaveData"
} ],
Game: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "2616aeXbHtD6phJPPWW9ghI", "Game");
var s = e("SaveData"), n = e("Sound"), a = e("Counter"), o = e("Currency"), c = e("Item"), r = e("QuestMap0"), h = {
baseKey: "minifarm",
sound: null,
coin: null,
item: null,
quest: null,
hero: null,
chestKey: null,
unlockPopup: null,
questPopup: null,
requestPopup: null,
targetChest: null,
chestRewardPopup: null,
miniInfo: null,
flagTutorial: !1,
isTutorial: function() {
return this.flagTutorial;
},
doTutorial: function() {
this.flagTutorial = !0;
s.saveBoolean("flagTutorial", !0);
},
lang_code: "en",
getLang: function() {
return this.lang_code;
},
isJapanese: function() {
return "ja" === this.lang_code;
},
flagInitialized: !1,
initGame: function() {
if (!this.flagInitialized) {
cc.sys.language === cc.sys.LANGUAGE_JAPANESE && (this.lang_code = "ja");
this.init();
this.load();
if (0 == s.loadBoolean("firstInitialize", !1)) {
this.initOnce();
s.saveBoolean("firstInitialize", !0);
}
this.flagInitialized = !0;
}
},
reset: function() {
cc.sys.localStorage.clear();
cc.game.restart();
this.flagInitialized = !1;
this.initGame();
},
init: function() {
this.sound = new n();
this.sound.init(this.baseKey);
this.coin = new o();
this.coin.init(this.baseKey, "coin", 0, 99999999);
this.item = new c();
this.item.init(this.baseKey);
this.quest = new r();
this.quest.init(this.baseKey);
this.chestKey = new a();
this.chestKey.init(this.baseKey, "chestKey", 0);
},
initOnce: function() {},
load: function() {
this.flagTutorial = s.loadBoolean("flagTutorial", !1);
this.sound.loadAllData();
this.coin.loadAllData();
this.item.loadAllData();
this.quest.loadAllData();
this.chestKey.loadAllData();
}
};
t.exports = h;
cc._RF.pop();
}, {
Counter: "Counter",
Currency: "Currency",
Item: "Item",
QuestMap0: "QuestMap0",
SaveData: "SaveData",
Sound: "Sound"
} ],
Gate: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "1d091iGettLjroCO708z2SR", "Gate");
var s = e("Gimmick"), n = e("CommandType");
cc.Class({
extends: s,
properties: {
closeSprite: cc.Node,
openSprite: {
type: cc.Node,
default: null
}
},
onLoad: function() {
this._super();
},
changeLock: function(e) {
this.closeSprite.active = e;
this.openSprite && (this.openSprite.active = !e);
var t = this.node.getComponent(cc.RigidBody);
t && (t.active = e);
},
getAvailableCommand: function() {
return n.NONE;
},
execCommand: function(e) {}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Gimmick: "Gimmick"
} ],
Gimmick: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "6075e21zq5Hp46FekKjGQsc", "Gimmick");
var s = e("Game"), n = e("Object"), a = e("CommandType");
cc.Class({
extends: n,
properties: {},
onLoad: function() {
this._super();
this.flagLock = !1;
var e = Math.round(this.node.x), t = Math.round(this.node.y);
this.savekey = this.node.parent.name + "." + this.modelName + "." + e + "x" + t;
},
start: function() {
this._super();
},
onCollisionEnter: function(e, t) {
if ("Hero" == e.node.group && 333 == e.tag) {
var i = e.node.getComponent("Hero");
i && i.AddGimmickList(this);
this.collisionEnter();
}
},
onCollisionExit: function(e, t) {
if ("Hero" == e.node.group && 333 == e.tag) {
var i = e.node.getComponent("Hero");
i && i.RemoveGimmickList(this);
this.collisionExit();
}
},
IsLock: function() {
return this.flagLock;
},
SetLock: function(e) {
this.flagLock = e;
this.changeLock(e);
},
GetCommand: function() {
return this.flagLock ? a.EVENT : this.getAvailableCommand();
},
Command: function(e) {
if (this.flagLock && e == a.EVENT) {
var t = this.node.getComponent("Unlock");
t && 0 == t.IsUnlock() && s.unlockPopup && s.unlockPopup.ShowWithUnlock(t);
} else this.execCommand(e);
},
changeLock: function(e) {},
getAvailableCommand: function() {
return a.NONE;
},
execCommand: function(e) {},
collisionEnter: function() {},
collisionExit: function() {}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Game: "Game",
Object: "Object"
} ],
Hero: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "2d4dfpfzkxHwr27rQ+sLorM", "Hero");
var s = e("Game"), n = e("Object"), a = e("Balloon"), o = e("CommandType"), c = cc.Enum({
IDLE: 0,
WALK: 1,
ATTACK: 2,
AXE: 3,
PICKAXE: 4,
HOE: 5,
WATER: 6
}), r = [ [ "Char1_idle_up", "Char1_walk_up", "Char_atk_up", "Char1_axe_up", "Char1_pickaxe_up", "Char1_hoe_up", "Char1_water_up" ], [ "Char1_idle_right", "Char1_walk_right", "Char_atk_right", "Char1_axe_right", "Char1_pickaxe_right", "Char1_hoe_right", "Char1_water_right" ], [ "Char1_idle_down", "Char1_walk_down", "Char_atk_down", "Char1_axe_down", "Char1_pickaxe_down", "Char1_hoe_down", "Char1_water_down" ], [ "Char1_idle_left", "Char1_walk_left", "Char_atk_left", "Char1_axe_left", "Char1_pickaxe_left", "Char1_hoe_left", "Char1_water_left" ] ];
cc.Class({
extends: n,
properties: {
balloon: {
default: null,
type: a
}
},
onLoad: function() {
this._super();
s.hero = this;
this.walker = this.node.getComponent("Walker");
this.state = c.IDLE;
this.commandType = o.NONE;
this.gimmickList = [];
this.targetList = [];
this.animation = this.node.getComponent(cc.Animation);
this.animation.on("finished", function(e) {
this.isAfterCommand(this.commandType) && this.excuteCommand();
this.change_state(c.IDLE);
}, this);
},
change_state: function(e) {
if (this.state == e) return !1;
this.state = e;
this.change_anime();
return !0;
},
change_anime: function() {
var e = r[this.walker.direction][this.state];
this.animation.play(e);
},
isMove: function() {
return this.state == c.WALK;
},
move: function(e, t) {
if (this.state == c.IDLE) {
this.change_state(c.WALK);
this.balloon && this.balloon.hide();
}
this.state == c.WALK && this.walker.move(e, t) && this.change_anime();
},
stop: function() {
this.walker.stop();
},
stopAndAction: function() {
this.stop();
this.command();
},
AddGimmickList: function(e) {
this.gimmickList.indexOf(e) < 0 && this.gimmickList.push(e);
},
RemoveGimmickList: function(e) {
var t = this.gimmickList.indexOf(e);
t >= 0 && this.gimmickList.splice(t, 1);
},
isSingleCommand: function(e) {
return e == o.AXE || e == o.PICKAXE || e == o.HOE || e == o.SEED || e == o.WATER || e == o.EVENT;
},
isAfterCommand: function(e) {
return e == o.AXE || e == o.PICKAXE || e == o.HOE || e == o.WATER;
},
command: function() {
if (this.state == c.IDLE || this.state == c.WALK) {
this.commandType = o.NONE;
var e = o.MAX;
this.targetList = [];
for (var t = [], i = 0; i < this.gimmickList.length; i++) {
var s = this.gimmickList[i];
if (s) {
var n = s.GetCommand();
if (n != o.NONE) {
t.push({
res: s,
cmd: n
});
e > n && (e = n);
}
}
}
this.commandType = e;
if (t.length > 0) {
for (var a = 0; a < t.length; a++) {
var r = t[a];
if (r.cmd == this.commandType) {
this.targetList.push(r.res);
if (this.isSingleCommand(this.commandType)) break;
}
}
switch (this.commandType) {
case o.ATTACK:
this.change_state(c.ATTACK);
break;

case o.AXE:
this.change_state(c.AXE);
break;

case o.PICKAXE:
this.change_state(c.PICKAXE);
break;

case o.HOE:
this.change_state(c.HOE);
break;

case o.SEED:
this.change_state(c.IDLE);
break;

case o.WATER:
this.change_state(c.WATER);
break;

case o.COLLECT:
case o.EVENT:
this.change_state(c.IDLE);
}
0 == this.isAfterCommand(this.commandType) && this.excuteCommand();
} else this.change_state(c.IDLE);
}
},
excuteCommand: function() {
for (var e = 0; e < this.targetList.length; e++) {
var t = this.targetList[e];
t && t.Command(this.commandType);
}
this.targetList = [];
},
ShowSerif: function(e) {
this.balloon.show(e);
},
HideSerif: function() {
this.balloon.hide();
}
});
cc._RF.pop();
}, {
Balloon: "Balloon",
CommandType: "CommandType",
Game: "Game",
Object: "Object"
} ],
HpGauge: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "c2d8aSZVeVLQ6nf2AIVmRs+", "HpGauge");
cc.Class({
extends: cc.Component,
properties: {
nakami: cc.Node,
hpMax: 3
},
onLoad: function() {
this.hp = this.hpMax;
this.nakamiWidth = this.node.width - 2;
this.refresh_nakami();
this.node.opacity = 0;
this.node.zIndex = 2e3;
},
refresh_nakami: function() {
this.nakami.width = this.nakamiWidth * (this.hp / this.hpMax);
},
show: function() {
this.node.stopAllActions();
this.node.opacity = 255;
this.node.runAction(cc.sequence(cc.delayTime(1), cc.fadeOut(1)));
},
hide: function() {
this.node.stopAllActions();
this.node.opacity = 0;
},
setHp: function(e) {
this.hp = this.hpMax = e;
this.refresh_nakami();
},
damage: function(e) {
this.hp -= e;
this.hp <= 0 && (this.hp = 0);
this.refresh_nakami();
this.show();
},
isDead: function() {
return this.hp <= 0;
}
});
cc._RF.pop();
}, {} ],
IntroScene: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "831691HQZlMjopGzrdoUJ9r", "IntroScene");
var s = e("FadeCover");
cc.Class({
extends: cc.Component,
properties: {
labels: [ cc.Label ],
fadeCover: s,
bgm: cc.AudioClip
},
onLoad: function() {
this.page = 0;
this.pageMax = 2;
this.line = 0;
this.lineMax = 3;
},
start: function() {
this.bgm && cc.audioEngine.play(this.bgm, !0, 1);
this.node.runAction(cc.sequence(cc.delayTime(1), cc.callFunc(this.start_intro, this)));
},
start_intro: function() {
this.node.on(cc.Node.EventType.TOUCH_END, function(e) {
this.touch_end();
}, this);
this.show_page();
},
touch_end: function() {
if (!(this.page >= this.pageMax) && this.line >= this.lineMax) {
this.page++;
if (this.page < this.pageMax) {
this.hide_page();
this.show_page();
} else this.fadeCover.TransitionFadeWhite("TutorialScene", 2);
}
},
show_page: function() {
if (!(this.page >= this.pageMax)) {
this.line = 0;
for (var e = 0; e < this.lineMax; e++) {
var t = this.page * this.lineMax + e;
this.labels[t].node.runAction(cc.sequence(cc.delayTime(2 * e), cc.fadeIn(2), cc.callFunc(this.end_line, this)));
}
}
},
end_line: function() {
this.line++;
},
hide_page: function() {
for (var e = this.page - 1, t = 0; t < this.lineMax; t++) {
var i = e * this.lineMax + t;
this.labels[i].node.active = !1;
}
}
});
cc._RF.pop();
}, {
FadeCover: "FadeCover"
} ],
ItemInfo: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "47b2a+r98lMYZpm/q9nWpaz", "ItemInfo");
var s = e("Game"), n = e("ItemRank");
cc.Class({
extends: cc.Component,
properties: {
tag: "",
rank: {
type: n,
default: n.NONE
},
spriteIcon: cc.Sprite,
spriteRare: cc.Sprite,
labelNum: cc.Label,
frameIcons: [ cc.SpriteFrame ]
},
onLoad: function() {
this.refreshIcon();
this.refreshRank();
this.refreshNum();
},
SetTag: function(e) {
this.tag = e;
this.refreshIcon();
},
SetRank: function(e) {
this.rank = e;
this.refreshRank();
},
SetNum: function(e) {
this.labelNum.string = "" + e;
this.labelNum.node.active = e > 0;
},
SetNumColor: function(e) {
this.labelNum.node.color = e;
},
Reset: function() {
this.tag = "";
this.rank = n.NONE;
this.spriteIcon.spriteFrame = null;
this.spriteRare.node.active = !1;
this.labelNum.string = "";
this.labelNum.node.active = !1;
},
refreshIcon: function() {
if ("" != this.tag) for (var e = s.item.getSpriteName(this.tag), t = 0; t < this.frameIcons.length; t++) if (this.frameIcons[t].name == e) {
this.spriteIcon.spriteFrame = this.frameIcons[t];
break;
}
},
refreshRank: function() {
this.spriteRare.node.active = this.rank == n.RARE;
},
refreshNum: function() {
if ("" != this.tag) {
var e = s.item.getNum(this.tag, this.rank);
this.SetNum(e);
}
},
refresh: function() {
if ("" != this.tag) {
this.refreshRank();
this.refreshNum();
var e = s.item.getNum(this.tag, this.rank) > 0;
this.spriteIcon.node.active = e;
e || (this.spriteRare.node.active = !1);
this.labelNum.node.active = e;
}
}
});
cc._RF.pop();
}, {
Game: "Game",
ItemRank: "ItemRank"
} ],
ItemPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "3cf9cIci3FPA5zqSeotNA4I", "ItemPopup");
var s = e("Game"), n = e("Popup");
e("ItemRank");
cc.Class({
extends: n,
properties: {
itemInfo: cc.Prefab
},
onLoad: function() {
this._super();
this.itemTags = s.item.getItemTags();
this.itemInfos = [];
for (var e = 0, t = 0, i = 0; i < this.itemTags.length; i++) for (var n = this.itemTags[i], a = s.item.getDepth(n), o = 0; o < a; o++) {
var c = cc.instantiate(this.itemInfo);
if (c) {
this.window.addChild(c);
c.setPosition(cc.v2(18 * t - 81, -24 * e + 30));
var r = c.getComponent("ItemInfo");
if (r) {
r.SetTag(n);
r.SetRank(o);
this.itemInfos.push(r);
}
if (++t >= 10) {
e++;
t = 0;
}
}
}
},
start: function() {
this.refresh();
},
refresh: function() {
for (var e = 0; e < this.itemInfos.length; e++) this.itemInfos[e].refresh();
},
Show: function() {
this._super() && this.refresh();
},
touchStart: function() {
this.Hide();
}
});
cc._RF.pop();
}, {
Game: "Game",
ItemRank: "ItemRank",
Popup: "Popup"
} ],
ItemRank: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "fd679j3X49N1aII5XpztpLL", "ItemRank");
var s = cc.Enum({
NONE: 0,
RARE: 1
});
t.exports = s;
cc._RF.pop();
}, {} ],
Item: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "f1892WGcwNNT4UFBKsz4amJ", "Item");
var s = e("BaseModel"), n = e("ItemRank"), a = {
Wood: {
rank: n.NONE,
price: 5,
sprite: "Material7"
},
Wool: {
rank: n.NONE,
price: 5,
sprite: "Material6"
},
Milk: {
rank: n.RARE,
price: 30,
sprite: "icon_milk"
},
Radish: {
rank: n.RARE,
price: 10,
sprite: "Crop_radish_2"
},
Tomato: {
rank: n.RARE,
price: 15,
sprite: "Crop_tomato_2"
},
Carrot: {
rank: n.RARE,
price: 20,
sprite: "Crop_carrot_2"
},
Corn: {
rank: n.RARE,
price: 25,
sprite: "Crop_corn_2"
},
RedRadish: {
rank: n.RARE,
price: 30,
sprite: "Crop_red_radish_2"
},
BlueBerry: {
rank: n.RARE,
price: 10,
sprite: "Crop_blueberry_2"
},
StrawBerry: {
rank: n.RARE,
price: 15,
sprite: "Crop_strawberry_2"
},
Grape: {
rank: n.RARE,
price: 20,
sprite: "Crop_grape_2"
},
PineApple: {
rank: n.RARE,
price: 25,
sprite: "Crop_pineapple_2"
},
Muscat: {
rank: n.RARE,
price: 30,
sprite: "Crop_muscat_2"
},
Orange: {
rank: n.RARE,
price: 10,
sprite: "FruitOrange"
},
Apple: {
rank: n.RARE,
price: 20,
sprite: "FruitApple"
},
Pear: {
rank: n.RARE,
price: 30,
sprite: "FruitPear"
},
Peach: {
rank: n.RARE,
price: 50,
sprite: "FruitPeach"
},
Stone: {
rank: n.NONE,
price: 5,
sprite: "Material0"
},
Copper: {
rank: n.NONE,
price: 25,
sprite: "Material1"
},
Silver: {
rank: n.NONE,
price: 40,
sprite: "Material2"
},
Gold: {
rank: n.NONE,
price: 60,
sprite: "Material3"
},
Diamond: {
rank: n.NONE,
price: 90,
sprite: "Material4"
}
}, o = cc.Class({
extends: s,
init: function(e) {
this._super(e, "Item");
this.itemData = a;
this.itemMax = a.length;
this.itemNums = [];
this.itemTags = [ this.itemMax ];
var t = 0;
for (var i in this.itemData) {
this.itemNums[i] = [ 0, 0 ];
this.itemTags[t++] = i;
}
},
load: function() {
for (var e in this.itemData) for (var t = this.itemData[e].rank + 1, i = 0; i < t; i++) this.itemNums[e][i] = this.loadNumber(e + "." + i + ".num", 0);
},
getMax: function() {
return this.itemMax;
},
getItemTags: function() {
return this.itemTags;
},
getNum: function(e, t) {
return e in this.itemData ? this.itemNums[e][t] : 0;
},
setNum: function(e, t, i) {
if (e in this.itemData) {
i < 0 ? i = 0 : i > 999 && (i = 999);
this.itemNums[e][t] = i;
this.saveNumber(e + "." + t + ".num", i);
}
},
addNum: function(e, t, i) {
if (e in this.itemData) {
var s = this.getNum(e, t);
this.setNum(e, t, s + i);
}
},
getDepth: function(e) {
return e in this.itemData ? this.itemData[e].rank + 1 : 0;
},
getPrice: function(e) {
return e in this.itemData ? this.itemData[e].price : 0;
},
getSpriteName: function(e) {
return e in this.itemData ? this.itemData[e].sprite : "";
}
});
t.exports = o;
cc._RF.pop();
}, {
BaseModel: "BaseModel",
ItemRank: "ItemRank"
} ],
LaunchScene: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "840a7/DupBMa6T75fEMzxFB", "LaunchScene");
var s = e("Game");
e("SaveData");
cc.Class({
extends: cc.Component,
properties: {
spriteLogo: cc.Node
},
onLoad: function() {},
start: function() {
this.node.runAction(cc.sequence(cc.delayTime(1), cc.callFunc(this.showLogo, this), cc.delayTime(1), cc.callFunc(this.initApp, this), cc.delayTime(1), cc.callFunc(this.hideLogo, this), cc.delayTime(.5), cc.callFunc(this.nextScene, this)));
},
showLogo: function() {
this.spriteLogo.scale = .1;
this.spriteLogo.runAction(cc.sequence(cc.scaleTo(.1, 1, .1), cc.scaleTo(.1, 1, 1)));
},
initApp: function() {
s.initGame();
this.sceneName = s.isTutorial() ? "Map0Scene" : "IntroScene";
cc.director.preloadScene(this.sceneName);
if (cc.sys.isNative) {
sdkbox.PluginAdMob.setListener({
adViewDidDismissScreen: function(e) {
"rewarded-quest" === e ? s.questPopup && s.questPopup.RewardAdsClose() : "rewarded-chest" === e && s.targetChest && s.targetChest.OpenChest();
},
reward: function(e, t, i) {
"rewarded-quest" === e ? s.questPopup && s.questPopup.RewardAdsSuccess() : "rewarded-chest" === e && s.chestKey.incCount();
}
});
sdkbox.PluginAdMob.init();
sdkbox.PluginAdMob.cache("banner");
sdkbox.PluginAdMob.cache("rewarded-quest");
sdkbox.PluginAdMob.cache("rewarded-chest");
}
},
hideLogo: function() {
this.spriteLogo.runAction(cc.sequence(cc.scaleTo(.1, 1, .1), cc.scaleTo(.1, .1, .1), cc.hide()));
},
nextScene: function() {
cc.director.loadScene(this.sceneName);
}
});
cc._RF.pop();
}, {
Game: "Game",
SaveData: "SaveData"
} ],
MiniInfo: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "17417LW8v1LPrpdEAJI0k5w", "MiniInfo");
var s = e("Game"), n = e("CoinLabel");
cc.Class({
extends: cc.Component,
properties: {
coinLabel: n
},
onLoad: function() {
s.miniInfo = this;
this.Refresh();
},
Refresh: function() {
var e = s.coin.getValue();
this.coinLabel.SetCoin(e);
}
});
cc._RF.pop();
}, {
CoinLabel: "CoinLabel",
Game: "Game"
} ],
Object: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "c610cRSUG9GNJOga/9ZKCOv", "Object");
cc.Class({
extends: cc.Component,
properties: {
modelName: ""
},
onLoad: function() {
var e = Math.round(this.node.x), t = Math.round(this.node.y);
this.node.position = cc.v2(e, t);
},
start: function() {
this.refreshZIndex();
},
refreshZIndex: function() {
this.node.zIndex = -this.node.y;
}
});
cc._RF.pop();
}, {} ],
Popup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "70525IOhONMwIEwFFrvCk+2", "Popup");
cc.Class({
extends: cc.Component,
properties: {
window: cc.Node,
cover: cc.Node
},
onLoad: function() {
this.flagOpen = !1;
this.flagShow = !1;
this.window.scale = 0;
this.cover.opacity = 0;
},
IsOpen: function() {
return this.flagOpen;
},
IsShow: function() {
return this.flagShow;
},
Show: function() {
if (1 == this.flagOpen) return !1;
this.flagOpen = !0;
this.node.active = !0;
this.touch_on();
this.cover.runAction(cc.fadeTo(.1, 127));
this.window.runAction(cc.sequence(cc.scaleTo(.4, 1).easing(cc.easeInOut(3)), cc.callFunc(this.show_finish, this)));
return !0;
},
show_finish: function() {
this.flagShow = !0;
},
Hide: function() {
if (0 == this.flagShow) return !1;
this.flagShow = !1;
this.cover.runAction(cc.fadeTo(.1, 0));
this.window.runAction(cc.sequence(cc.scaleTo(.1, 0), cc.callFunc(this.hide_finish, this)));
return !0;
},
hide_finish: function() {
this.touch_off();
this.flagOpen = !1;
this.node.active = !1;
},
touch_on: function() {
this.node.on(cc.Node.EventType.TOUCH_START, function(e) {
e.stopPropagationImmediate();
e.unuse();
this.touchStart();
}, this);
this.node.on(cc.Node.EventType.TOUCH_MOVE, function(e) {
e.stopPropagationImmediate();
e.unuse();
this.touchMove();
}, this);
this.node.on(cc.Node.EventType.TOUCH_END, function(e) {
e.stopPropagationImmediate();
e.unuse();
this.touchEnd();
}, this);
this.node.on(cc.Node.EventType.TOUCH_CANCEL, function(e) {
e.stopPropagationImmediate();
e.unuse();
this.touchCancel();
}, this);
},
touch_off: function() {
this.node.off(cc.Node.EventType.TOUCH_START);
this.node.off(cc.Node.EventType.TOUCH_MOVE);
this.node.off(cc.Node.EventType.TOUCH_END);
this.node.off(cc.Node.EventType.TOUCH_CANCEL);
},
touchStart: function() {},
touchMove: function() {},
touchEnd: function() {},
touchCancel: function() {}
});
cc._RF.pop();
}, {} ],
QuestCell: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "cef65qsFU5CPrXXrRyjlbhS", "QuestCell");
var s = e("Game"), n = e("CoinLabel"), a = e("ItemInfo");
cc.Class({
extends: cc.Component,
properties: {
coinLabel: n,
itemInfos: [ a ]
},
PressCell: function() {
var e = this.node.questIdx;
s.requestPopup && s.requestPopup.ShowWithIdx(e);
},
SetInfo: function(e) {
var t = s.quest.GetQuestData(e);
if (null != t) {
var i = s.quest.GetCheckResult(e), n = t.urgent, a = t.coin * (1 == n ? 2 : 1);
this.coinLabel.SetCoin(a);
this.coinLabel.SetColor(1 == n ? new cc.Color(0, 255, 0) : new cc.Color(0, 0, 0));
for (var o = 0; o < t.items.length; o++) {
this.itemInfos[o].node.active = !1;
var c = t.items[o];
if (c && "" != c.tag) {
var r = i.items[o];
this.itemInfos[o].node.active = !0;
this.itemInfos[o].SetTag(c.tag);
this.itemInfos[o].SetRank(c.rank);
this.itemInfos[o].SetNum(c.val);
this.itemInfos[o].SetNumColor(r ? new cc.Color(0, 0, 0) : new cc.Color(255, 0, 0));
}
}
}
}
});
cc._RF.pop();
}, {
CoinLabel: "CoinLabel",
Game: "Game",
ItemInfo: "ItemInfo"
} ],
QuestMap0: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "bc89da5thZM+qaazFwA314u", "QuestMap0");
var s = e("Quest"), n = e("RequestType"), a = [ {
name: "木材",
type: n.WANT,
items: [ {
tag: "Wood",
per: 100,
min: 5,
max: 9
} ]
}, {
name: "毛线",
type: n.WANT,
items: [ {
tag: "Wool",
per: 100,
min: 8,
max: 15
} ]
}, {
name: "乳液",
type: n.WANT,
items: [ {
tag: "Milk",
per: 100,
min: 1,
max: 4
} ]
}, {
name: "萝卜",
type: n.WANT,
items: [ {
tag: "Radish",
per: 100,
min: 2,
max: 5
} ]
}, {
name: "西红柿",
type: n.WANT,
items: [ {
tag: "Tomato",
per: 100,
min: 4,
max: 7
} ]
}, {
name: "胡萝卜",
type: n.WANT,
items: [ {
tag: "Carrot",
per: 100,
min: 2,
max: 5
} ]
}, {
name: "蓝莓",
type: n.WANT,
items: [ {
tag: "BlueBerry",
per: 100,
min: 4,
max: 8
} ]
}, {
name: "草莓",
type: n.WANT,
items: [ {
tag: "StrawBerry",
per: 100,
min: 2,
max: 7
} ]
}, {
name: "橘子",
type: n.WANT,
items: [ {
tag: "Orange",
per: 100,
min: 3,
max: 9
} ]
}, {
name: "苹果",
type: n.WANT,
items: [ {
tag: "Apple",
per: 100,
min: 3,
max: 9
} ]
}, {
name: "石材",
type: n.WANT,
items: [ {
tag: "Stone",
per: 100,
min: 6,
max: 15
} ]
}, {
name: "铜",
type: n.WANT,
items: [ {
tag: "Copper",
per: 100,
min: 1,
max: 9
} ]
}, {
name: "银子",
type: n.WANT,
items: [ {
tag: "Silver",
per: 100,
min: 1,
max: 7
} ]
}, {
name: "沙拉",
type: n.EAT,
items: [ {
tag: "Radish",
per: 100,
min: 3,
max: 5
}, {
tag: "Tomato",
per: 80,
min: 7,
max: 10
}, {
tag: "Carrot",
per: 60,
min: 2,
max: 4
} ]
}, {
name: "浆果",
type: n.EAT,
items: [ {
tag: "BlueBerry",
per: 100,
min: 5,
max: 7
}, {
tag: "StrawBerry",
per: 70,
min: 3,
max: 5
} ]
}, {
name: "简单的水果",
type: n.EAT,
items: [ {
tag: "Orange",
per: 100,
min: 5,
max: 8
}, {
tag: "Apple",
per: 90,
min: 3,
max: 6
} ]
}, {
name: "番茄汁",
type: n.DRINK,
items: [ {
tag: "Tomato",
per: 100,
min: 5,
max: 8
}, {
tag: "Carrot",
per: 90,
min: 4,
max: 7
}, {
tag: "Radish",
per: 80,
min: 2,
max: 4
} ]
}, {
name: "浆果汁",
type: n.DRINK,
items: [ {
tag: "BlueBerry",
per: 100,
min: 12,
max: 20
}, {
tag: "StrawBerry",
per: 80,
min: 6,
max: 9
} ]
}, {
name: "混合果汁",
type: n.DRINK,
items: [ {
tag: "Milk",
per: 100,
min: 3,
max: 5
}, {
tag: "Orange",
per: 100,
min: 5,
max: 8
}, {
tag: "Apple",
per: 90,
min: 3,
max: 5
}, {
tag: "Corn",
per: 30,
min: 3,
max: 5
} ]
}, {
name: "屋顶",
type: n.REPAIR,
items: [ {
tag: "Wood",
per: 100,
min: 14,
max: 28
}, {
tag: "Stone",
per: 100,
min: 8,
max: 16
}, {
tag: "Copper",
per: 30,
min: 1,
max: 5
} ]
}, {
name: "墙",
type: n.REPAIR,
items: [ {
tag: "Wood",
per: 100,
min: 8,
max: 16
}, {
tag: "Stone",
per: 100,
min: 14,
max: 28
}, {
tag: "Wool",
per: 50,
min: 5,
max: 9
} ]
}, {
name: "小屋",
type: n.REPAIR,
items: [ {
tag: "Wood",
per: 100,
min: 14,
max: 28
}, {
tag: "Stone",
per: 100,
min: 14,
max: 28
}, {
tag: "Wool",
per: 100,
min: 5,
max: 9
}, {
tag: "Copper",
per: 30,
min: 3,
max: 5
} ]
}, {
name: "衣服",
type: n.MAKE,
items: [ {
tag: "Wool",
per: 100,
min: 8,
max: 15
}, {
tag: "Silver",
per: 30,
min: 1,
max: 3
} ]
}, {
name: "书架",
type: n.MAKE,
items: [ {
tag: "Wood",
per: 100,
min: 12,
max: 20
}, {
tag: "Copper",
per: 100,
min: 3,
max: 5
} ]
}, {
name: "台子",
type: n.MAKE,
items: [ {
tag: "Wood",
per: 100,
min: 12,
max: 20
}, {
tag: "Silver",
per: 100,
min: 2,
max: 4
} ]
}, {
name: "院子",
type: n.MAKE,
items: [ {
tag: "Wood",
per: 100,
min: 12,
max: 20
}, {
tag: "Stone",
per: 100,
min: 12,
max: 20
}, {
tag: "Copper",
per: 70,
min: 3,
max: 5
} ]
} ];
cc.Class({
extends: s,
init: function(e) {
this._super(e, "Map0", a);
}
});
cc._RF.pop();
}, {
Quest: "Quest",
RequestType: "RequestType"
} ],
QuestPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "4e87dNUKl5CGImiaWJsoOlW", "QuestPopup");
var s = e("Popup"), n = e("Game"), a = e("SaveData"), o = e("QuestCell");
cc.Class({
extends: s,
properties: {
questCell: cc.Prefab,
contents: cc.Node,
buttonRefresh: cc.Button,
refreshPopup: s
},
onLoad: function() {
this._super();
n.questPopup = this;
this.startTime = a.loadNumber("QuestPopup.startTime", 0);
this.buttonRefresh.node.active = !1;
this.node.active = !1;
},
Show: function() {
this._super() && this.refresh();
},
touchStart: function() {
this.Hide();
},
RefreshList: function() {
this.contents.removeAllChildren();
for (var e = n.quest.GetNum(), t = 0; t < e; t++) {
var i = cc.instantiate(this.questCell);
if (i) {
this.contents.addChild(i);
i.setPosition(cc.v2(-1.5, -28 * t));
i.questIdx = t;
var s = i.getComponent(o);
s && s.SetInfo(t);
}
}
this.contents.height = 28 * e;
},
PressRefresh: function() {
this.refreshPopup.Show();
},
RewardAdsSuccess: function() {
n.quest.RefreshAllQuest();
this.RefreshList();
},
RewardAdsClose: function() {
this.buttonRefresh.node.active = !1;
this.startTime = Math.floor(Date.now() / 1e3);
a.saveNumber("QuestPopup.startTime", this.startTime);
},
refresh: function() {
this.RefreshList();
if (cc.sys.isNative) {
var e = !1;
if (sdkbox.PluginAdMob.isAvailable("rewarded-quest")) {
Math.floor(Date.now() / 1e3) >= this.startTime + 300 && (e = !0);
}
this.buttonRefresh.node.active = e;
}
}
});
cc._RF.pop();
}, {
Game: "Game",
Popup: "Popup",
QuestCell: "QuestCell",
SaveData: "SaveData"
} ],
Quest: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "31717FYceZHSKKNI/4UlHJr", "Quest");
var s = e("BaseModel"), n = (e("RequestType"), [ " ", " ", " ", " ", " " ]), a = [ "", "[紧急报酬两倍] " ], o = [ " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " " ];
cc.Class({
extends: s,
init: function(e, t, i) {
this._super(e, "Quest." + t);
this.refreshTime = 0;
this.refreshInterval = 120;
this.questMaster = [];
this.questList = [];
this.questLimit = 10;
this.requestTemplates = i;
for (var s = 0; s < this.questLimit; s++) {
var n = {
idx: s,
time: 0,
coin: 0,
message: "",
urgent: 0,
items: [ {
tag: "",
rank: 0,
val: 0
}, {
tag: "",
rank: 0,
val: 0
}, {
tag: "",
rank: 0,
val: 0
}, {
tag: "",
rank: 0,
val: 0
}, {
tag: "",
rank: 0,
val: 0
}, {
tag: "",
rank: 0,
val: 0
} ]
};
this.questMaster.push(n);
}
},
load: function() {
this.refreshTime = this.loadNumber("refreshTime", 0);
for (var e = 0; e < this.questLimit; e++) {
var t = this.questMaster[e];
t.time = this.loadNumber("questMaster.time." + e, 0);
if (0 != t.time) {
var i = this.loadString("questMaster.str." + e, "");
this.string_to_quest(t, i);
}
}
for (var s = 0; s < this.questLimit; s++) {
0 != this.questMaster[s].time && this.questList.push(s);
}
var n = this;
this.questList.sort(function(e, t) {
var i = n.GetQuestData(e), s = n.GetQuestData(t);
return null == i || null == s ? 0 : i.time - s.time;
});
},
GetNum: function() {
return this.questList.length;
},
GetQuestData: function(e) {
var t = this.get_master_idx(e);
return -1 != t ? this.questMaster[t] : null;
},
GetCheckResult: function(e) {
var t = {
all: !1,
items: [ !1, !1, !1, !1, !1, !1 ]
}, i = this.GetQuestData(e);
if (null == i) return t;
for (var s = !1, n = 0; n < i.items.length; n++) {
var a = i.items[n];
if (a && "" != a.tag) {
var o = this.game.item.getNum(a.tag, a.rank) >= a.val;
t.items[n] = o;
o || (s = !0);
}
}
t.all = !s;
return t;
},
ExecQuest: function(e) {
var t = this.GetQuestData(e);
if (null == t) return !1;
var i = t.coin * (1 == t.urgent ? 2 : 1);
this.game.coin.saveCurrency(i);
for (var s = 0; s < t.items.length; s++) {
var n = t.items[s];
n && "" != n.tag && this.game.item.addNum(n.tag, n.rank, -n.val);
}
this.remove_quest(e);
return !0;
},
RefreshQuest: function(e) {
for (var t = Math.floor(this.refreshTime / this.refreshInterval) * this.refreshInterval + this.refreshInterval, i = !1, s = 0; s < this.questLimit && !(t > e); s++) {
this.questList.length >= this.questLimit && this.remove_quest(0);
this.add_quest();
t += this.refreshInterval;
i = !0;
}
if (i) {
this.refreshTime = e;
this.saveNumber("refreshTime", this.refreshTime);
}
return i;
},
RefreshAllQuest: function() {
this.refreshTime = 0;
var e = Math.floor(Date.now() / 1e3);
this.RefreshQuest(e);
},
get_master_idx: function(e) {
if (e >= 0 && e < this.questList.length) {
var t = this.questList[e];
if (t >= 0 && t < this.questLimit) return t;
}
return -1;
},
get_empty_master: function() {
for (var e = 0; e < this.questLimit; e++) {
var t = this.questMaster[e];
if (0 == t.time) return t;
}
return null;
},
clear_quest_data: function(e) {
e.coin = 0;
e.message = "";
e.urgent = 0;
for (var t = 0; t < 6; t++) {
e.items[t].tag = "";
e.items[t].rank = 0;
e.items[t].val = 0;
}
},
add_quest: function() {
var e = this.get_empty_master();
if (null != e) {
this.clear_quest_data(e);
var t = Date.now();
e.time = t;
this.make_quest_data(e);
this.questList.push(e.idx);
this.saveNumber("questMaster.time." + e.idx, e.time);
var i = this.quest_to_string(e);
this.saveString("questMaster.str." + e.idx, i);
}
},
remove_quest: function(e) {
var t = this.GetQuestData(e);
if (null != t) {
var i = t.idx;
t.time = 0;
this.saveNumber("questMaster.time." + i, 0);
this.questList.splice(e, 1);
}
},
quest_to_string: function(e) {
var t = "" + e.coin;
t += "," + e.message;
t += "," + e.urgent;
for (var i = 0; i < 6; i++) {
t += "," + e.items[i].tag;
t += "," + e.items[i].rank;
t += "," + e.items[i].val;
}
return t;
},
string_to_quest: function(e, t) {
var i = t.split(",");
e.coin = i[0] - 0;
e.message = i[1];
e.urgent = i[2] - 0;
for (var s = 3, n = 0; n < 6; n++) {
e.items[n].tag = i[s++];
e.items[n].rank = i[s++] - 0;
e.items[n].val = i[s++] - 0;
}
},
make_quest_data: function(e) {
var t = this.requestTemplates[Math.floor(Math.random() * this.requestTemplates.length)];
e.urgent = Math.random() < .2 ? 1 : 0;
var i = Math.floor(Math.random() * o.length);
e.message = a[e.urgent] + t.name + n[t.type] + o[i];
for (var s = 0, c = 0, r = 0; r < t.items.length; r++) {
var h = t.items[r];
if (!(h.per < 100 * Math.random())) {
var u = Math.random() < .05 ? 1 : 0, l = Math.round(Math.random() * (h.max - h.min) + h.min);
1 == u && (l = h.min);
e.items[c].tag = h.tag;
e.items[c].rank = u;
e.items[c].val = l;
s += l * this.game.item.getPrice(h.tag) * (1 == u ? 3 : 1);
c++;
}
}
e.coin = s;
}
});
cc._RF.pop();
}, {
BaseModel: "BaseModel",
RequestType: "RequestType"
} ],
RefreshPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "24998CHqmxFEZToYEFuZQAd", "RefreshPopup");
var s = e("Popup");
cc.Class({
extends: s,
properties: {},
onLoad: function() {
this._super();
this.node.active = !1;
},
PressOk: function() {
cc.sys.isNative && sdkbox.PluginAdMob.show("rewarded-quest");
this.Hide();
},
PressCancel: function() {
this.Hide();
}
});
cc._RF.pop();
}, {
Popup: "Popup"
} ],
RequestPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "66f7eu0UCxIbb7RXPD5HHkU", "RequestPopup");
var s = e("Popup"), n = e("Game"), a = e("CoinLabel"), o = e("ItemInfo");
cc.Class({
extends: s,
properties: {
titleLabel: cc.Label,
coinLabel: a,
itemInfos: [ o ],
buttonOk: cc.Button,
x2Arrow: cc.Node,
x2Label: a
},
onLoad: function() {
this._super();
n.requestPopup = this;
this.questIdx = 0;
this.node.active = !1;
},
PressOk: function() {
n.quest.ExecQuest(this.questIdx);
n.questPopup.RefreshList();
n.miniInfo.Refresh();
this.Hide();
},
PressCancel: function() {
this.Hide();
},
SetInfo: function(e) {
var t = n.quest.GetQuestData(e);
if (null != t) {
var i = n.quest.GetCheckResult(e);
this.titleLabel.string = t.message;
this.coinLabel.SetCoin(t.coin);
var s = t.urgent;
this.x2Arrow.active = 1 == s;
if (1 == s) {
this.x2Label.SetCoin(2 * t.coin);
this.x2Arrow.x = this.coinLabel.node.x + this.coinLabel.GetWidth() + 2;
}
for (var a = 0; a < t.items.length; a++) {
this.itemInfos[a].node.active = !1;
var o = t.items[a];
if (o && "" != o.tag) {
var c = i.items[a];
this.itemInfos[a].node.active = !0;
this.itemInfos[a].SetTag(o.tag);
this.itemInfos[a].SetRank(o.rank);
this.itemInfos[a].SetNum(o.val);
this.itemInfos[a].SetNumColor(c ? new cc.Color(255, 255, 255) : new cc.Color(255, 0, 0));
}
}
this.buttonOk.interactable = i.all;
}
},
ShowWithIdx: function(e) {
if (this.Show()) {
this.questIdx = e;
this.clear_info();
this.SetInfo(e);
}
},
clear_info: function() {
this.titleLabel.string = "エラー";
this.coinLabel.SetCoin(0);
for (var e = 0; e < this.itemInfos.length; e++) this.itemInfos[e].Reset();
this.buttonOk.interactable = !1;
}
});
cc._RF.pop();
}, {
CoinLabel: "CoinLabel",
Game: "Game",
ItemInfo: "ItemInfo",
Popup: "Popup"
} ],
RequestType: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "79c6acWbYlEgqS0f/AtRksr", "RequestType");
var s = cc.Enum({
WANT: 0,
MAKE: 1,
REPAIR: 2,
EAT: 3,
DRINK: 4,
MAX: 5
});
t.exports = s;
cc._RF.pop();
}, {} ],
ResourceManager: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "69294DzeCpKmaQTfy8FhZXM", "ResourceManager");
cc.Class({
extends: cc.Component,
properties: {},
onLoad: function() {
this.resourceList = [];
},
start: function() {
cc.director.getScheduler().schedule(this.updateResources, this, 1);
},
updateResources: function() {
for (var e = Math.floor(Date.now() / 1e3), t = 0; t < this.resourceList.length; t++) this.resourceList[t].CheckStatePoll(e);
},
registResource: function(e) {
-1 == this.resourceList.indexOf(e) && this.resourceList.push(e);
}
});
cc._RF.pop();
}, {} ],
ResourceState: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "2162bjMjj9PS4RdvxXRMlwn", "ResourceState");
var s = cc.Enum({
NONE: 0,
GROWING: 1,
REVIVE: 2
});
t.exports = s;
cc._RF.pop();
}, {} ],
Resource: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "a9734lEvE1Eb557KgKINO0S", "Resource");
var s = e("SaveData"), n = e("Gimmick"), a = e("HpGauge"), o = e("ResourceState"), c = e("ResourceManager"), r = e("CommandType");
cc.Class({
extends: n,
properties: {
reviveInterval: 60,
dropItem: {
type: cc.Prefab,
default: null
},
dropNum: 1,
hpGauge: {
type: a,
default: null
},
hp: 3,
seDamage: {
type: cc.AudioClip,
default: null
},
checkMe: {
type: cc.Node,
default: null
}
},
onLoad: function() {
this._super();
this.state = s.loadNumber(this.savekey + ".state", o.REVIVE);
this.startTime = s.loadNumber(this.savekey + ".startTime", 0);
this.checkMe && (this.checkMe.active = !1);
var e = this.node.parent.getComponent(c);
e && e.registResource(this);
},
start: function() {
this._super();
this.change_view();
},
refreshView: function() {},
progress: function(e) {},
getHp: function() {
return this.hp;
},
changeLock: function(e) {
this.node.opacity = e ? 100 : 255;
var t = this.node.getComponent("Animal");
t && (t.enabled = !e);
e ? this.checkMe && (this.checkMe.active = !1) : this.change_view();
},
getAvailableCommand: function() {
return r.NONE;
},
execCommand: function(e) {
this.seDamage && cc.audioEngine.play(this.seDamage, !1, 1);
if (this.hpGauge) {
this.hpGauge.damage(1);
if (0 == this.hpGauge.isDead()) return;
}
this.drop_item();
this.finish();
},
CheckStatePoll: function(e) {
this.state >= o.REVIVE || this.progress(e - this.startTime);
},
change_state: function(e) {
if (this.state != e) {
this.state = e;
s.saveNumber(this.savekey + ".state", this.state);
this.change_view();
return !0;
}
return !1;
},
change_view: function() {
this.hpGauge && this.hpGauge.setHp(this.getHp());
this.checkMe && (this.checkMe.active = this.state == o.REVIVE);
this.refreshView();
},
reset_time: function() {
this.startTime = Math.floor(Date.now() / 1e3);
s.saveNumber(this.savekey + ".startTime", this.startTime);
},
get_drop_num: function() {
var e = this.dropNum + Math.floor(Math.random() * this.dropNum);
Math.random() < .04 && (e *= 4);
return e;
},
drop_item: function() {
if (null != this.dropItem) for (var e = this.get_drop_num(), t = 0; t < e; t++) {
var i = cc.instantiate(this.dropItem);
if (i) {
this.node.parent.addChild(i);
i.setPosition(this.node.position);
var s = i.getComponent("DropItem");
s && s.drop();
}
}
},
finish: function() {
this.change_state(o.NONE);
this.hpGauge && this.hpGauge.hide();
this.reset_time();
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Gimmick: "Gimmick",
HpGauge: "HpGauge",
ResourceManager: "ResourceManager",
ResourceState: "ResourceState",
SaveData: "SaveData"
} ],
Rock: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "fb630alz89B0Jh1vcG/XIkU", "Rock");
var s = e("Resource"), n = e("ResourceState"), a = e("CommandType");
cc.Class({
extends: s,
refreshView: function() {
this.node.active = this.state != n.NONE;
},
progress: function(e) {
e >= this.reviveInterval && this.change_state(n.REVIVE);
},
getAvailableCommand: function() {
return this.state >= n.REVIVE ? a.PICKAXE : a.NONE;
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState"
} ],
SaveData: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "ced82wyK6BMvplbFCsD2i10", "SaveData");
var s = cc.Class({
statics: {
saveNumber: function(e, t) {
cc.sys.localStorage.setItem(e, t);
},
loadNumber: function(e, t) {
var i = cc.sys.localStorage.getItem(e);
return null !== i ? Number(i) : t;
},
saveBoolean: function(e, t) {
cc.sys.localStorage.setItem(e, t);
},
loadBoolean: function(e, t) {
var i = cc.sys.localStorage.getItem(e);
return null === i ? t : "true" === i;
},
saveString: function(e, t) {
cc.sys.localStorage.setItem(e, t);
},
loadString: function(e, t) {
var i = cc.sys.localStorage.getItem(e);
return null !== i ? i : t;
}
}
});
t.exports = s;
cc._RF.pop();
}, {} ],
Sheep: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "72491yJlg1Fdqc5qLjvJge1", "Sheep");
var s = e("Resource"), n = e("ResourceState"), a = e("CommandType");
cc.Class({
extends: s,
progress: function(e) {
e >= this.reviveInterval && this.change_state(n.REVIVE);
},
getAvailableCommand: function() {
return this.state >= n.REVIVE ? a.COLLECT : a.NONE;
},
changeLock: function(e) {
this._super(e);
var t = this.node.getComponent(cc.RigidBody);
t && (t.type = e ? cc.RigidBodyType.Static : cc.RigidBodyType.Dynamic);
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState"
} ],
Sound: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "fe2f1VpfGZH+qjR74BmKVtb", "Sound");
var s = e("BaseModel"), n = cc.Class({
extends: s,
init: function(e) {
this._super(e, "Sound");
this.soundEnable = !0;
},
load: function() {
this.soundEnable = this.loadBoolean("soundEnable", this.soundEnable);
},
isSoundEnable: function() {
return this.soundEnable;
},
setSoundEnable: function(e) {
if (this.soundEnable !== e) {
this.soundEnable = e;
this.saveBoolean("soundEnable", this.soundEnable);
}
},
preload: function(e) {
!0 === this.soundEnable && cc.audioEngine.preload(e);
},
playSE: function(e) {
!0 === this.soundEnable && cc.audioEngine.play(e, !1, 1);
},
playBGM: function(e) {
return !0 === this.soundEnable ? cc.audioEngine.play(e, !0, 1) : -1;
},
stopBGM: function(e) {
-1 != e && !0 === this.soundEnable && cc.audioEngine.stop(e);
}
});
t.exports = n;
cc._RF.pop();
}, {
BaseModel: "BaseModel"
} ],
TrapPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "c6eeercBMlIEou8n2GEbmu3", "TrapPopup");
var s = e("Gimmick"), n = e("Popup"), a = e("CommandType");
cc.Class({
extends: s,
properties: {
popup: {
type: n,
default: null
}
},
getAvailableCommand: function() {
return a.EVENT;
},
execCommand: function(e) {
e == a.EVENT && this.popup && this.popup.Show();
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Gimmick: "Gimmick",
Popup: "Popup"
} ],
TrapQuest: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "6dabcJBQP9A2436o8orPGE4", "TrapQuest");
var s = e("Gimmick"), n = e("CommandType"), a = e("Game");
e("SaveData");
cc.Class({
extends: s,
properties: {
checkMe: cc.Node
},
onLoad: function() {
this._super();
this.checkMe.active = !1;
var e = this.node.parent.getComponent("ResourceManager");
e && e.registResource(this);
},
CheckStatePoll: function(e) {
if (!a.questPopup.IsOpen()) {
a.quest.RefreshQuest(e) && (this.checkMe.active = !0);
}
},
getAvailableCommand: function() {
return n.EVENT;
},
execCommand: function(e) {
if (e == n.EVENT) {
this.checkMe.active = !1;
a.questPopup.Show();
}
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Game: "Game",
Gimmick: "Gimmick",
SaveData: "SaveData"
} ],
TrapScene: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "5ec78PhwpxKBb3fKJ2MFAsl", "TrapScene");
var s = e("Gimmick"), n = e("FadeCover");
cc.Enum({
RELOAD: 0,
REPEAT: 1,
ONCE: 2
});
cc.Class({
extends: s,
properties: {
fadeCover: n,
sceneName: "",
interval: 1,
color: cc.Color.WHITE
},
onLoad: function() {
this._super();
this.flagTransition = !1;
},
collisionEnter: function() {
if (!this.flagTransition) {
this.fadeCover.SetColor(this.color);
this.fadeCover.TransitionFade(this.sceneName, this.interval);
}
}
});
cc._RF.pop();
}, {
FadeCover: "FadeCover",
Gimmick: "Gimmick"
} ],
TrapSerif: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "78b06FIY5hHPqgKZNiJ+TiR", "TrapSerif");
var s = e("Gimmick"), n = (e("CommandType"), e("Game")), a = e("SaveData"), o = cc.Enum({
RELOAD: 0,
REPEAT: 1,
ONCE: 2
});
cc.Class({
extends: s,
properties: {
kidokuType: {
type: o,
default: o.RELOAD
},
messages: [ cc.String ]
},
onLoad: function() {
this._super();
this.flagFire = !1;
this.mesIdx = 0;
(a.loadBoolean(this.savekey + ".kidoku", !1) || 0 == this.messages.length) && this.disable();
},
collisionEnter: function() {
n.hero.ShowSerif(this.messages[this.mesIdx++]);
this.mesIdx >= this.messages.length && (this.mesIdx = 0);
if (this.kidokuType == o.RELOAD) this.flagFire = !0; else if (this.kidokuType == o.ONCE) {
this.flagFire = !0;
a.saveBoolean(this.savekey + ".kidoku", !0);
}
},
collisionExit: function() {
n.hero.HideSerif();
this.kidokuType != o.RELOAD && this.kidokuType != o.ONCE || this.disable();
},
disable: function() {
this.flagFire = !0;
this.enabled = !1;
this.node.active = !1;
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Game: "Game",
Gimmick: "Gimmick",
SaveData: "SaveData"
} ],
TrapSign: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "f96617S/6hAPrVKriBTUjJs", "TrapSign");
var s = e("Gimmick"), n = e("CommandType"), a = e("Balloon");
cc.Class({
extends: s,
properties: {
balloon: {
type: a,
default: null
},
message: ""
},
onLoad: function() {
this._super();
this.balloon.hide();
},
getAvailableCommand: function() {
return n.EVENT;
},
execCommand: function(e) {
e == n.EVENT && (this.balloon.IsShow() ? this.balloon.hide() : this.balloon.show(this.message));
},
collisionExit: function() {
this.balloon.hide();
}
});
cc._RF.pop();
}, {
Balloon: "Balloon",
CommandType: "CommandType",
Gimmick: "Gimmick"
} ],
Tree: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "ab374XMj6FMnYJpVMYogu9a", "Tree");
var s = e("SaveData"), n = e("Resource"), a = e("ResourceState"), o = e("CommandType"), c = cc.Enum({
NONE: a.NONE,
GROWING: a.GROWING,
COMPLETE: a.REVIVE,
STUMP: 3
}), r = cc.Enum({
SMALL: 0,
MIDDLE: 1,
LARGE: 2,
FRUITS: 3
}), h = [ cc.v2(1, 14), cc.v2(-11, 29), cc.v2(12, 26) ], u = [ cc.v2(5, -26), cc.v2(-10, -33), cc.v2(9, -26) ];
cc.Class({
extends: n,
properties: {
treeSprite: [ cc.SpriteFrame ],
stumpSprite: [ cc.SpriteFrame ],
fruitsPrefab: {
type: cc.Prefab,
default: null
},
seDropFruits: cc.AudioClip,
fruitsInterval: 60
},
onLoad: function() {
this._super();
this.level = s.loadNumber(this.savekey + ".level", this.isFruits() ? r.FRUITS : r.LARGE);
this.fruits = [];
this.growIntervals = [ Math.floor(.2 * this.reviveInterval), Math.floor(.6 * this.reviveInterval), this.reviveInterval ];
},
refreshView: function() {
this.node.active = this.state != a.NONE;
this.level, this.state, c.STUMP;
var e = this.node.getComponent(cc.Sprite);
if (e) {
var t = this.level;
t > r.LARGE && (t = r.LARGE);
this.state == c.STUMP ? e.spriteFrame = this.stumpSprite[t] : e.spriteFrame = this.treeSprite[t];
}
if (this.isFruits() && this.fruits.length <= 0 && this.level >= r.FRUITS) for (var i = 0; i < 3; i++) {
var s = cc.instantiate(this.fruitsPrefab);
if (s) {
this.node.addChild(s);
s.setPosition(h[i]);
this.fruits.push(s);
}
}
},
progress: function(e) {
if (this.level == r.LARGE && this.isFruits()) e >= this.fruitsInterval && this.change_state_with_lv(c.COMPLETE, r.FRUITS); else if (e >= this.growIntervals[r.LARGE]) if (this.isFruits()) {
this.change_state_with_lv(c.GROWING, r.LARGE);
this.reset_time();
} else this.change_state_with_lv(c.COMPLETE, r.LARGE); else e >= this.growIntervals[r.MIDDLE] ? this.change_state_with_lv(c.GROWING, r.MIDDLE) : e >= this.growIntervals[r.SMALL] && this.change_state_with_lv(c.GROWING, r.SMALL);
},
getAvailableCommand: function() {
return this.state >= c.GROWING ? o.AXE : o.NONE;
},
getHp: function() {
return this.state == c.STUMP ? 1 : this.level + 1;
},
change_level: function(e) {
if (this.level != e) {
this.level = e;
s.saveNumber(this.savekey + ".level", this.level);
this.change_view();
}
},
change_state_with_lv: function(e, t) {
var i = !1;
if (this.level != t) {
this.level = t;
s.saveNumber(this.savekey + ".level", this.level);
i = !0;
}
0 == this.change_state(e) && 1 == i && this.change_view();
},
get_drop_num: function() {
var e = this.level + 1, t = e;
this.state != c.STUMP && (e = (t *= 2) + Math.floor(Math.random() * t));
return e;
},
execCommand: function(e) {
if (e != o.NONE) if (this.state != c.COMPLETE || this.level != r.FRUITS) this._super(e); else {
this.change_state_with_lv(c.GROWING, r.LARGE);
this.reset_time();
for (var t = 0; t < this.fruits.length; t++) {
var i = this.fruits[t], s = i.parent.convertToWorldSpaceAR(i.getPosition());
i.parent = null;
this.node.parent.addChild(i);
i.setPosition(this.node.parent.convertToNodeSpaceAR(s));
this.drop_fruits(i, t);
}
this.fruits = [];
this.seDropFruits && cc.audioEngine.play(this.seDropFruits, !1, 1);
}
},
finish: function() {
if (this.state >= c.GROWING && this.state <= c.COMPLETE) this.change_state(c.STUMP); else {
this.change_level(r.SMALL);
this._super();
}
},
isFruits: function() {
return null != this.fruitsPrefab;
},
drop_fruits: function(e, t) {
var i = u[t], s = e.getComponent("DropItem");
e.runAction(cc.sequence(cc.jumpBy(.4, i, 40, 1), cc.callFunc(s.drop_end, s)));
}
});
cc._RF.pop();
}, {
CommandType: "CommandType",
Resource: "Resource",
ResourceState: "ResourceState",
SaveData: "SaveData"
} ],
TutorialScene: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "096c1NrQtxIm5fEvuEaQtBi", "TutorialScene");
var s = e("BaseScene"), n = e("Game");
cc.Class({
extends: s,
properties: {
seBird: cc.AudioClip
},
start: function() {
this.node.runAction(cc.sequence(cc.delayTime(1), cc.callFunc(this.playSe, this)));
},
playSe: function() {
cc.audioEngine.play(this.seBird, !1, 1);
},
onDestroy: function() {
n.doTutorial();
}
});
cc._RF.pop();
}, {
BaseScene: "BaseScene",
Game: "Game"
} ],
UnlockPopup: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "339b5sRKrNDyr69kP5Dc6jb", "UnlockPopup");
var s = e("Popup"), n = e("Game"), a = e("CoinLabel");
cc.Class({
extends: s,
properties: {
titleLabel: cc.Label,
coinLabel: a,
buttonOk: cc.Button
},
onLoad: function() {
this._super();
n.unlockPopup = this;
this.targetUnlock = null;
this.node.active = !1;
},
PressOk: function() {
if (this.targetUnlock) {
this.targetUnlock.Unlock();
n.miniInfo.Refresh();
this.Hide();
}
},
PressCancel: function() {
this.Hide();
},
SetInfo: function(e, t) {
this.titleLabel.string = e;
this.coinLabel.SetCoin(t);
var i = n.coin.getValue() < t;
this.coinLabel.SetColor(i ? new cc.Color(255, 0, 0) : new cc.Color(255, 255, 255));
this.buttonOk.interactable = !i;
},
ShowWithUnlock: function(e) {
if (e) {
this.targetUnlock = e;
if (this.Show()) {
var t = this.targetUnlock.GetTitle(), i = this.targetUnlock.GetNeedCoin();
this.SetInfo(t, i);
}
}
}
});
cc._RF.pop();
}, {
CoinLabel: "CoinLabel",
Game: "Game",
Popup: "Popup"
} ],
Unlock: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "92285tDFOhDo5zgst5byn4x", "Unlock");
var s = e("Game"), n = e("SaveData");
cc.Class({
extends: cc.Component,
properties: {
saveKey: "",
title: "ひとこと",
needCoin: 0
},
onLoad: function() {
this.unlock = n.loadBoolean(this.saveKey + ".unlock", !1);
},
start: function() {
this.refresh();
},
refresh: function() {
var e = this.node.getComponent("Gimmick");
e && e.SetLock(!this.unlock);
this.unlock && (this.enabled = !1);
},
GetTitle: function() {
return this.title;
},
GetNeedCoin: function() {
return this.needCoin;
},
IsUnlock: function() {
return this.unlock;
},
Unlock: function() {
if (!this.unlock) {
if (s.coin.getValue() >= this.needCoin) {
s.coin.useCurrency(this.needCoin);
this.unlock = !0;
n.saveBoolean(this.saveKey + ".unlock", !0);
this.refresh();
}
}
}
});
cc._RF.pop();
}, {
Game: "Game",
SaveData: "SaveData"
} ],
Walker: [ function(e, t, i) {
"use strict";
cc._RF.push(t, "644bcp6Nl9IpbyY4bKP57wb", "Walker");
var s = e("Object"), n = cc.Enum({
UP: 0,
RIGHT: 1,
DOWN: 2,
LEFT: 3
});
cc.Class({
extends: s,
properties: {
speed: 100
},
onLoad: function() {
this._super();
this.direction = n.DOWN;
this.body = this.node.getComponent(cc.RigidBody);
},
update: function(e) {
this.refreshZIndex();
},
change_dir: function(e) {
if (this.direction == e) return !1;
this.direction = e;
return !0;
},
move: function(e, t) {
this.body.linearVelocity = e.mul(t * this.speed);
var i = Math.atan2(e.y, e.x), s = cc.misc.radiansToDegrees(-i) % 360, a = this.direction;
a = s > -135 && s <= -45 ? n.UP : s > -45 && s <= 45 ? n.RIGHT : s > 45 && s <= 135 ? n.DOWN : n.LEFT;
return this.change_dir(a);
},
stop: function() {
this.body.linearVelocity = cc.v2(0, 0);
}
});
cc._RF.pop();
}, {
Object: "Object"
} ]
}, {}, [ "Animal", "Bush", "Chest", "ChestReward", "Cow", "Crop", "DropItem", "EnvironmentalSound", "Field", "Gate", "Gimmick", "Hero", "Object", "Resource", "ResourceManager", "Rock", "Sheep", "TrapPopup", "TrapQuest", "TrapScene", "TrapSerif", "TrapSign", "Tree", "Balloon", "BannerAds", "ChestRewardPopup", "CoinLabel", "FadeCover", "HpGauge", "ItemInfo", "ItemPopup", "MiniInfo", "Popup", "QuestCell", "QuestPopup", "RefreshPopup", "RequestPopup", "UnlockPopup", "Unlock", "Walker", "CommandType", "DropItemType", "ItemRank", "RequestType", "ResourceState", "BaseModel", "Counter", "Currency", "Game", "Item", "Quest", "QuestMap0", "SaveData", "Sound", "BaseScene", "IntroScene", "LaunchScene", "TutorialScene" ]);